> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Sales Order Custom Fields

> Queries all custom fields for a sales order.



## OpenAPI

````yaml /openapi/erp/2.3.json get /v2/sales-orders/custom-fields
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.4.0-alpha.261119204830+Sha.7323513\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.3'
  x-application-version: 2.4.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: >-
      <p data-section-id='tag/Sales Order' class='stable_summary'></p>Queries
      all cancellation reasons for sales orders.
  - name: Sales Invoice Correction
    description: >-
      <p data-section-id='tag/Sales Invoice Correction'
      class='stable_summary'></p>Queries all cancellation reasons for sales
      invoice corrections.
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='stable_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='stable_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: >-
      <p data-section-id='tag/Refund' class='stable_summary'></p>Queries all
      cancellation reasons for refunds.
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='stable_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: >-
      <p data-section-id='tag/Sales Invoice' class='stable_summary'></p>Gets a
      specific invoice.
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: >-
      <p data-section-id='tag/Extensibility' class='stable_summary'></p>Returns
      the installed extensions.
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: >-
      <p data-section-id='tag/Delivery Note' class='stable_summary'></p>Queries
      all delivery notes.
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication'
      class='deprecated_summary'></p>DEPRECATED seit Wawi 2.2.0: No-Op. Seit
      Wawi 2.1.0 registriert sich die Wawi selbst per JWT.
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation'
      class='stable_summary'></p>Execute the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Sales Orders
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Company
  - name: Sales Channel
  - name: Payment
  - name: Warehouse Assistant
  - name: Worker
paths:
  /v2/sales-orders/custom-fields:
    get:
      tags:
        - Sales Order
      summary: Query Sales Order Custom Fields
      description: Queries all custom fields for a sales order.
      operationId: SalesOrder_QuerySalesOrderCustomFieldsAsync
      parameters:
        - name: x-companyid
          in: header
          description: >-
            The Company-Id (int or uuid) of the company on whose behalf the
            request is executed.
          schema:
            type: string
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      responses:
        '200':
          description: The requested custom fields for sales orders.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Common.CustomField
        '401':
          description: ''
          content:
            application/json: {}
        '402':
          description: No licence available or the app has not been authorised by JTL.
          content:
            application/json: {}
        '404':
          description: No fields could be found.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse
      security:
        - oauth2-authorization-code:
            - salesorders.read
            - all.read
        - oauth2-client-credentials:
            - salesorders.read
            - all.read
components:
  schemas:
    JTL.Wawi.Rest.Contracts.Models.V1.Common.CustomField:
      type: object
      description: 'Model Class: CustomField '
      additionalProperties: false
      required:
        - customFieldId
        - groupName
        - name
        - type
        - possibleValues
      properties:
        attribut:
          $ref: '#/components/schemas/JTL.Entities.dbo.Table.AttributEntity'
        customFieldId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.EigenesFeldKey'
          description: Unique ID to identify a custom field.
        groupName:
          type: string
          description: The group name for this custom field.
        name:
          type: string
          description: The custom field name.
        type:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Common.CustomFieldType
          description: The custom field type.
        possibleValues:
          type: array
          description: The possible values, when the custom field is a list.
          items:
            type: string
    JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse:
      type: object
      description: >-
        Represents an error response returned by the system in case of a failure
        or exception.
      additionalProperties: false
      properties:
        errorCode:
          type: string
          description: >-
            Gets or sets the error code that identifies the type of error
            encountered.
        validationErrors:
          type: object
          description: >-
            Gets or sets a dictionary containing validation errors associated
            with the request.
          deprecated: true
          x-deprecatedMessage: Use Errors
          additionalProperties:
            type: string
        errors:
          type: object
          description: Gets or sets a collection of errors associated with the response.
          additionalProperties:
            type: array
            items:
              type: string
        errorMessage:
          type: string
          description: >-
            Gets or sets the error message that provides details about the error
            encountered.
        stacktrace:
          type: string
          description: >-
            Gets or sets the stack trace associated with the error, providing
            detailed

            information about the sequence of method calls that led to the
            exception.
    JTL.Entities.dbo.Table.AttributEntity:
      type: object
      description: >-
        Attribute dienen zur flexibleren Verteilung von Eigenschaften zu
        bestimmten Objekten 
      additionalProperties: false
      properties:
        id:
          type: integer
          description: |-
            Unique internal identifier for the record
            Values:
            A whole number that the database assigns automatically
          format: int32
        istMehrsprachig:
          type: integer
          description: Gibt an ob dieses Attribut ein mehrsprachiges Attribut ist
          format: int32
        istFreifeld:
          type: integer
          description: >-
            Gibt an ob es sich bei dem Attribut um ein Benutzerdefiniertes
            Attribut handelt
          format: int32
        sortierung:
          type: integer
          description: Gibt die Sortierreihenfolge dieses Attributs an
          format: int32
        beschreibung:
          type: string
          description: Enthält einen Beschreibungstext zum Attribut
          maxLength: 1000
        bezugstyp:
          type: integer
          description: >-
            Der Bezugstyp gibt an zu welchen anderen Objekten dieses Attribut
            einen Bezug hat
          format: int32
        ausgabeweg:
          type: integer
          description: >-
            Bestimmt wo dieses Attribut für Benutzer dargestellt werden soll.
            Wenn > 0, dann ist es z.B. ein Freifeld.
          format: int32
        istStandard:
          type: integer
          description: >-
            Gibt an, ob das Attribut von uns vorgegeben ist und nicht gelöscht
            werden darf
          format: int32
        feldTypId:
          type: integer
          description: >-
            Type of the field value.

            Values:

            References dbo.tFeldTyp.kFeldTyp; 1 = whole number; 2 = decimal
            number; 3 = free text; 4 = checkbox; 5 = value list; 6 = URL; 7 =
            e-mail address; 8 = phone number; 9 = ISO country code; 10 = price;
            11 = date; 12 = short text
          format: int32
        regEx:
          type: string
          description: >-
            Gibt einen regulären Ausdruck an der verwendet wird um die Wertmenge
            einzuschränken oder zu formatieren
        gruppeName:
          type: string
          description: |-
            Name of the group the definition belongs to.
            Values:
            Text of at most 150 characters; may be empty (NULL)
          maxLength: 150
        readOnly:
          type: integer
          description: |-
            Whether custom-field values are read-only; NULL otherwise.
            Values:
            1 = yes; 0 = no
          format: int32
        aktivFuerArtikelOhneWarengruppe:
          type: boolean
          description: >-
            Whether an item custom field is available to every item, including
            items without a product group (1), rather than only to items whose
            product group is assigned to it (0).

            Values:

            1 = yes; 0 = no
        istPflichtfeld:
          type: boolean
          description: |-
            Nullable required-field setting.
            Values:
            1 = yes; 0 = no; may be empty (NULL)
        attributId:
          type: string
          description: >-
            Programmatic identifier for function attributes and generated
            textual identifier for other definitions.

            Values:

            Text of at most 255 characters
          maxLength: 255
        istUnsichtbar:
          type: boolean
          description: >-
            Whether the custom field stays hidden in the user interface; for
            custom fields only (not meaningful for other attributes).

            Values:

            1 = yes; 0 = no
        skipHooks:
          type: boolean
        feldTyp:
          $ref: '#/components/schemas/JTL.Entities.dbo.Table.FeldTypEntity'
          description: Ruft die verknüpfte Entität (FeldTyp) ab oder legt sie fest.
        bezeichnungen:
          type: array
          description: >-
            Ruft die verknüpften Datensätze (Bezeichnungen) ab oder legt sie
            fest.
          items:
            $ref: '#/components/schemas/JTL.Entities.dbo.Table.AttributSpracheEntity'
    JTL.Data.Contracts.Keys.EigenesFeldKey:
      type: string
      description: Id of a custom field.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Rest.Contracts.Models.V1.Common.CustomFieldType:
      type: integer
      description: >-
        0 = None, 1 = Integer, 2 = Decimal, 3 = Text, 4 = Checkbox, 5 = List, 6
        = Url, 7 = Email, 8 = PhoneNumber, 9 = CountryIso, 10 = Price, 11 =
        Date, 12 = ShortText
      format: int32
      x-enumNames:
        - None
        - Integer
        - Decimal
        - Text
        - Checkbox
        - List
        - Url
        - Email
        - PhoneNumber
        - CountryIso
        - Price
        - Date
        - ShortText
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
    JTL.Entities.dbo.Table.FeldTypEntity:
      type: object
      description: >-
        Typ eines definierten semantischen Feldes welches mit einem primitiven
        Datentyp verknüpft ist
      additionalProperties: false
      properties:
        id:
          type: integer
          description: |-
            Unique internal identifier for the record
            Values:
            A whole number that the database assigns automatically
          format: int32
        name:
          type: string
          description: Name des semantischen Feldes
          maxLength: 300
        datenTyp:
          type: integer
          description: >-
            Gibt den primitiven Datentypen an der verwendet wird um dieses Feld
            zu speichern
          format: int32
        regEx:
          type: string
          description: >-
            Gibt einen regulären Ausdruck an der verwendet wird um die Wertmenge
            einzuschränken oder zu formatieren
        skipHooks:
          type: boolean
        typ:
          $ref: >-
            #/components/schemas/JTL.Entities.dbo.Table.FeldTypEntity_FeldDatenTyp
          description: Ruft den Datentyp des Feldes als FeldDatenTyp ab.
    JTL.Entities.dbo.Table.AttributSpracheEntity:
      type: object
      description: >-
        Stellt die Entität AttributSpracheEntity dar und erweitert die
        Basisklasse AttributSpracheEntityBase.
      additionalProperties: false
      properties:
        attributId:
          type: integer
          description: |-
            Definition the translation belongs to.
            Values:
            References dbo.tAttribut.kAttribut
          format: int32
        spracheId:
          type: integer
          description: >-
            Language of the translated name and value list; part of the key.
            Writes translate the ISO code back to this key.

            Values:

            References dbo.tSpracheUsed.kSprache
          format: int32
        name:
          type: string
          description: Name des Attributs in der jeweiligen Sprache
          maxLength: 255
        wertListe:
          type: string
          description: >-
            Wertliste mit separierten stringvalues die als Optionen
            bereitgestellt werden
        skipHooks:
          type: boolean
    JTL.Entities.dbo.Table.FeldTypEntity_FeldDatenTyp:
      type: integer
      description: 0 = Integer, 1 = Decimal, 2 = String, 3 = DateTime
      format: int32
      x-enumNames:
        - Integer
        - Decimal
        - String
        - DateTime
      enum:
        - 0
        - 1
        - 2
        - 3
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://id.jtl-cloud.com/oauth/v2/authorize
          tokenUrl: https://id.jtl-cloud.com/oauth/v2/token
          scopes:
            inventories.write: Grants permission to modify stock levels.
            inventory.print: Grants permission to print inventory count lists.
            inventory.read: Grants permission to read stock levels.
            inventory.write: Grants permission to modify stock levels.
            picklists.print: Grants permission to print pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            warehouse.read: Grants permission to read warehouse data.
            warehouses.print: Grants permission to print storage location labels.
            warehouses.write: Grants permission to write warehouse data.
            items.print: Grants permission to print item labels.
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            procurements.read: Read procurement
            saleschannels.read: Grants permission to read sales channels.
            saleschannels.write: Grants permission to create and modify sales channels.
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            wawiapp.all: Grants access to Wawi app related operations.
            returns.mail: Grants permission to send returns by e-mail.
            returns.print: Grants permission to print returns.
            deliverynotes.mail: Grants permission to send delivery notes by e-mail.
            customers.print: Grants permission to print customer details.
            currencies.read: Grants read access to currencies.
            dunning.mail: Grants permission to send dunning notices by e-mail.
            dunning.print: Grants permission to print dunning notices.
            dunning.read: >-
              Grants read access to dunning: dunning levels, dunning notices,
              dunning proposals, dunning runs and the dunning status of invoices
              and customers.
            dunning.write: >-
              Grants write access to dunning: maintain dunning levels, issue and
              withdraw dunning notices, start dunning runs and set dunning
              blocks.
            jera.read: Grants read access to JERA internal endpoints.
            masterdata.write: Write master data
            paymentmethods.read: Grants read access to payment methods.
            payments.mail: Grants permission to send payment receipts by e-mail.
            payments.read: Grants permission to read payments.
            payments.write: Grants permission to write payments.
            salescreditnotes.mail: Grants permission to send sales credit notes by e-mail.
            salescreditnotes.print: Grants permission to print sales credit notes.
            salescreditnotes.write: Grants permission to cancel credit notes.
            salesinvoicecorrections.mail: Grants permission to send sales invoice corrections by e-mail.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.mail: Grants permission to send sales invoices by e-mail.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesorders.mail: Grants permission to send sales orders by e-mail.
            salesquotations.mail: Grants permission to send sales quotations by e-mail.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            salessubscriptions.read: Grants read access to subscriptions.
            salessubscriptions.write: Grants write access to subscriptions.
            system.worker.read: Read worker syncs
            system.worker.write: Write worker syncs
            worker.errors.read: Read the error log of the worker syncs
            worker.read: Read the worker service and its syncs
            worker.reset: Reset all worker syncs (destructive)
            worker.write: Control and configure worker syncs
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            channels.read: Grants permission to read marketplace channels.
            invoices.print: >-
              Grants permission to print marketplace external documents
              (invoices, credit notes).
            marketplaceoffers.read: Grants permission to read marketplace offers and offer failures.
            marketplaceoffers.write: Grants permission to create and modify marketplace offers.
            notifications.read: Grants permission to read marketplace notifications.
            orders.write: >-
              Grants permission to modify marketplace order data (exclude/reset
              cancellation, payment, return and shipping uploads).
            scxoffers.read: >-
              Grants permission to read SCX offer data, such as channel
              attributes.
            scxoffers.write: >-
              Grants permission to write SCX offer data, such as refreshing
              attribute definitions.
            masterdata.company.irreversible.write: Perform irreversible company actions
            masterdata.email.write: Write email configuration
            taxes.write: Grants permission to create and modify tax data.
            output.read: Grants permission to read output templates and document types.
            output.write: Grants permission to manage output template sets.
            users.read: Grants permission to read users, user groups and permissions.
            users.write: >-
              Grants permission to create and modify users, user groups and
              their permissions.
            incominginvoices.read: >-
              Grants permission to read incoming invoices, including their line
              items, additional costs and payments, and the additional cost
              types.
            incominginvoices.write: >-
              Grants permission to create and modify incoming invoices,
              including their line items, additional costs and payments, and to
              maintain the additional cost types.
            health.read: Read health
            health.sessions.read: Read sessions and logged-in users
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://id.jtl-cloud.com/oauth/v2/token
          scopes:
            inventories.write: Grants permission to modify stock levels.
            inventory.print: Grants permission to print inventory count lists.
            inventory.read: Grants permission to read stock levels.
            inventory.write: Grants permission to modify stock levels.
            picklists.print: Grants permission to print pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            warehouse.read: Grants permission to read warehouse data.
            warehouses.print: Grants permission to print storage location labels.
            warehouses.write: Grants permission to write warehouse data.
            items.print: Grants permission to print item labels.
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            procurements.read: Read procurement
            saleschannels.read: Grants permission to read sales channels.
            saleschannels.write: Grants permission to create and modify sales channels.
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            wawiapp.all: Grants access to Wawi app related operations.
            returns.mail: Grants permission to send returns by e-mail.
            returns.print: Grants permission to print returns.
            deliverynotes.mail: Grants permission to send delivery notes by e-mail.
            customers.print: Grants permission to print customer details.
            currencies.read: Grants read access to currencies.
            dunning.mail: Grants permission to send dunning notices by e-mail.
            dunning.print: Grants permission to print dunning notices.
            dunning.read: >-
              Grants read access to dunning: dunning levels, dunning notices,
              dunning proposals, dunning runs and the dunning status of invoices
              and customers.
            dunning.write: >-
              Grants write access to dunning: maintain dunning levels, issue and
              withdraw dunning notices, start dunning runs and set dunning
              blocks.
            jera.read: Grants read access to JERA internal endpoints.
            masterdata.write: Write master data
            paymentmethods.read: Grants read access to payment methods.
            payments.mail: Grants permission to send payment receipts by e-mail.
            payments.read: Grants permission to read payments.
            payments.write: Grants permission to write payments.
            salescreditnotes.mail: Grants permission to send sales credit notes by e-mail.
            salescreditnotes.print: Grants permission to print sales credit notes.
            salescreditnotes.write: Grants permission to cancel credit notes.
            salesinvoicecorrections.mail: Grants permission to send sales invoice corrections by e-mail.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.mail: Grants permission to send sales invoices by e-mail.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesorders.mail: Grants permission to send sales orders by e-mail.
            salesquotations.mail: Grants permission to send sales quotations by e-mail.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            salessubscriptions.read: Grants read access to subscriptions.
            salessubscriptions.write: Grants write access to subscriptions.
            system.worker.read: Read worker syncs
            system.worker.write: Write worker syncs
            worker.errors.read: Read the error log of the worker syncs
            worker.read: Read the worker service and its syncs
            worker.reset: Reset all worker syncs (destructive)
            worker.write: Control and configure worker syncs
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            channels.read: Grants permission to read marketplace channels.
            invoices.print: >-
              Grants permission to print marketplace external documents
              (invoices, credit notes).
            marketplaceoffers.read: Grants permission to read marketplace offers and offer failures.
            marketplaceoffers.write: Grants permission to create and modify marketplace offers.
            notifications.read: Grants permission to read marketplace notifications.
            orders.write: >-
              Grants permission to modify marketplace order data (exclude/reset
              cancellation, payment, return and shipping uploads).
            scxoffers.read: >-
              Grants permission to read SCX offer data, such as channel
              attributes.
            scxoffers.write: >-
              Grants permission to write SCX offer data, such as refreshing
              attribute definitions.
            masterdata.company.irreversible.write: Perform irreversible company actions
            masterdata.email.write: Write email configuration
            taxes.write: Grants permission to create and modify tax data.
            output.read: Grants permission to read output templates and document types.
            output.write: Grants permission to manage output template sets.
            users.read: Grants permission to read users, user groups and permissions.
            users.write: >-
              Grants permission to create and modify users, user groups and
              their permissions.
            incominginvoices.read: >-
              Grants permission to read incoming invoices, including their line
              items, additional costs and payments, and the additional cost
              types.
            incominginvoices.write: >-
              Grants permission to create and modify incoming invoices,
              including their line items, additional costs and payments, and to
              maintain the additional cost types.
            health.read: Read health
            health.sessions.read: Read sessions and logged-in users
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````